﻿using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            string sourceImageDirectoryPath = "IMAGE";

            string[] filePathArray       = Directory.GetFiles(sourceImageDirectoryPath, "*.*", SearchOption.TopDirectoryOnly);
            int      filePathArrayLength = filePathArray.Length;

            List<GalleryItem> itemList = new List<GalleryItem>();

            for(int i = 0; i < filePathArrayLength; i++)
            {
                GalleryItem item = new GalleryItem();

                item.Image = new Bitmap(filePathArray[i]);

                itemList.Add(item);
            }

            this.galleryControl.ItemList = itemList;
        }

        #endregion
    }
}